function MqttCertificate()
{ 
  //傳輸檔案
  var FileTransmission = function(that, file){MqttCertificate.prototype._FileTransmission_(that, file);}; 
  
  //解壓檔案
  var DecompressedCertificateFile = function(that){MqttCertificate.prototype._DecompressedCertificateFile_(that);};
  //檢查檔案
  var CheckCertificateFileName = function(that, FileName){MqttCertificate.prototype._CheckProjectFileName_(that, FileName);};
  var CheckPrivateKeyFileName = function(that, FileName){MqttCertificate.prototype._CheckPrivateKeyFileName_(that, FileName);};
  
  //刪除檔案
  this.RemoveMqttTrustedCertificate = function(that){MqttCertificate.prototype._RemoveMqttTrustedCertificate_(that);};
  this.RemoveMqttCertificate = function(that){MqttCertificate.prototype._RemoveMqttCertificate_(that);};
  this.RemoveMqttPrivateKey = function(that){MqttCertificate.prototype._RemoveMqttPrivateKey_(that);};

  //下載檔案
  this.DownloadCertificateFile = function(that){MqttCertificate.prototype._DownloadCertificateFile_(that);};

  //上傳檔案
  this.UploadCertificateFile = function(that, Event){MqttCertificate.prototype._UploadCertificateFile_(that, Event);};
  this.UploadPrivateKey = function(that, Event){MqttCertificate.prototype._UploadPrivateKey_(that, Event);};
  //更新
  this.UpdateTrustedCertificate = function(that){MqttCertificate.prototype._UpdateTrustedCertificate_(that);};
  this.UpdateCertificate = function(that){MqttCertificate.prototype._UpdateCertificate_(that);};
  this.UpdatePrivateKey = function(that){MqttCertificate.prototype._UpdatePrivateKey_(that);};
}